# MCS_AssignedChannelId Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_AssignedChannelId:

List of all members.

## Public Member Functions

| MCS_AssignedChannelId (unsigned tag=UniversalInteger, TagClass tagClass=UniversalTagClass)
MCS_AssignedChannelId & | operator= (int v)
MCS_AssignedChannelId & | operator= (unsigned v)
PObject * | Clone () const

## Constructor & Destructor Documentation

MCS_AssignedChannelId::MCS_AssignedChannelId | ( | unsigned | tag = `UniversalInteger`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_AssignedChannelId& MCS_AssignedChannelId::operator= | ( | int | v | ) |

Reimplemented from MCS_DynamicChannelId.

MCS_AssignedChannelId& MCS_AssignedChannelId::operator= | ( | unsigned | v | ) |

Reimplemented from MCS_DynamicChannelId.

PObject* MCS_AssignedChannelId::Clone | ( |  | ) | const

Reimplemented from MCS_DynamicChannelId.

The documentation for this class was generated from the following file:

- mcs.h